# FileSelector Class Reference

[Blender Index] [Blender Hierarchy]

A file selector can be seen in Blender when you load (F1) or save (F2) a file More...

`#include <fileselector.h>`

Inherits: GUI

## Public Members

- FileSelector ()
- ~FileSelector ()
- PyObject* activate (PyObject* callback, PyObject* callbackArgs)
- PyObject* filename

## Detailed Description

A file selector can be seen in Blender when you load (F1) or save (F2) a file. For the Python API you want to use the same mechanism to get access to the filename and the path a user can select interactively. You have to activate the FileSelector with a callback function (in Python). When the user has finished his selection the callback function is called and you can access the filename and the path in the callback function.

## PyObject* activate(PyObject* callback, PyObject* callbackArgs)

With this function you start the user interaction with a file selector. The callback function is called after finishing the interaction and you can give access to the FileSelector instance by giving the callback function an (optional) argument.

## PyObject* filename

This holds the file name (with path) of the selected file.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Mon Mar 5 16:57:27 CET 2001

K doc